#
# spec file for package perl-Test-CheckManifest
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-CheckManifest
Version:        1.31
Release:        3.1
%define cpan_name Test-CheckManifest
Summary:        Check if your Manifest matches your distro
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-CheckManifest/
Source0:        https://cpan.metacpan.org/authors/id/R/RE/RENEEB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::YAML)
%{perl_requires}

%description
Check if your Manifest matches your distro

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
touch dummy.list
mv *.files *.list ..
%{__make} test
mv ../*.files ../*.list .

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Wed Jun 14 2017 coolo@suse.com
- update to 1.31 and fix build
    [IMPROVEMENT]
  * Run tests in series, not parallel. This should fix github #4. Thanks to Michael Gray (mjg17).
  * Check duplicate entries in the MANIFEST file (Thanks to Mohammad S Anwar (Manwar), github #5)
* Fri Jun  1 2012 coolo@suse.com
- updated to 1.25
  - fix typo in documentation - Thanks to BIGPRESH
    + MANIFEST spec allows whitespaces in filenames (when enclosed in single quotes)
    this was not parsed correctly (see [#67334]). Fixed now - Thanks to JWEIGEL
    + CPAN toolchain now creates MYMETA.yml and META.json. These files are in
    the list of recognized files now.
    + clarify license of this module (In README the Perl license was mentioned where
    in all other files Artistic 2.0 was mentioned)
    + switched to Dist::Zilla
    + removed tests that are created by Dist::Zilla
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Sep 20 2010 jw@novell.com
- recreated specfile
  * created by cpanspec 1.78.02
* Wed Aug 25 2010 jw@novell.com
- 1.22 from cpan
